> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/lab-tests/biomarker-results.md).

# Biomarker Results

Use `biomarkerResults` to retrieve all biomarker results.

### Available Arguments

| Argument                  | Type                        | Description                                              |
| ------------------------- | --------------------------- | -------------------------------------------------------- |
| `filters`                 | BiomarkerResultsFilterInput |                                                          |
| `filters.biomarkerId`     | ID                          | Id of the biomarker.                                     |
| `filters.biomarkerName`   | String                      | Name of the biomarker.                                   |
| `filters.categoryId`      | ID                          | Id of biomarker category.                                |
| `filters.intervalRange`   | BiomarkerIntervalRange      | enum: `ALL`, `IN_OPTIMAL_RANGE`, `IN_RANGE`, `OUT_RANGE` |
| `filters.labTestReportId` | ID                          | Id of the test report.                                   |

### Available Fields

| Field Name               | Type          | Description                                                                                                                           |
| ------------------------ | ------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                     | ID            | Id of the biomarker result.                                                                                                           |
| `date`                   | datetime      | Use the format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                               |
| `value`                  | GenericScalar | The `GenericScalar` scalar type represents a generic GraphQL scalar value that could be: String, Boolean, Int, Float, List or Object. |
| `createdAt`              | datetime      | Use the format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                               |
| `updatedAt`              | datetime      | Use the format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                               |
| `biomarker`              |               |                                                                                                                                       |
| `biomarker.id`           | ID            | biomarker                                                                                                                             |
| `biomarker.name`         | String        | Name of biomarker.                                                                                                                    |
| `biomarker.method`       | String        | BIomarker method definition.                                                                                                          |
| `biomarker.description`  | String        | Biomarker Description.                                                                                                                |
| `biomarker.range`        |               |                                                                                                                                       |
| `biomarker.range.max`    | Float         | Largest defined value.                                                                                                                |
| `biomarker.range.min`    | Float         | Smallest defined value.                                                                                                               |
| `labTestReport`          | LabTestReport |                                                                                                                                       |
| `labTestReport.id`       | String        | Id of the test report.                                                                                                                |
| `labTestReport.title`    | String        | Title of the test report.                                                                                                             |
| `labTestReport.testName` | String        | Name of the test report.                                                                                                              |
| `alert`                  | Boolean       | `True` if alert is active otherwise `False.`                                                                                          |
| `alertText`              | String        | Text shown in the alert.                                                                                                              |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query {
    biomarkerResults(filters: { biomarkerName: "Diabetes" }) {
        id 
        date 
        value 
        createdAt 
        updatedAt
        alert
        alertText
        biomarker {
            id 
            name 
            method 
            description 
            range { 
                max 
                min 
                } 
        }
        labTestReport {
            id 
            title 
            testName
        }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "biomarkerResults": [
      {
        "id": "UHJvZmlsZUJpb21hcmtlcjox",
        "date": "2022-12-12T00:00:00+00:00",
        "value": {
          "type": "number",
          "value": 10
        },
        "createdAt": "2022-12-12T15:00:11.571707+00:00",
        "updatedAt": "2022-12-12T15:00:11.571728+00:00",
        "alert": true,
        "alertText": "Sample Text",
        "biomarker": {
          "id": "QmlvbWFya2VyOjE=",
          "name": "Diabetes Risk Index",
          "method": "Method for diabetes risk index",
          "description": "Diabetes...",
          "range": {
            "max": 100,
            "min": 0
          }
        },
        "labTestReport": {
          "id": "TGFiVGVzdFJlcG9ydDo4Ng==",
          "title": "",
          "testName": "test4"
        }
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/lab-tests/biomarker-results.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
